dcraw(1)

NOM
dcraw - décodeur en ligne de commande de photos numériques raw

SYNOPSIS
dcraw [OPTION]... [FICHIER]...

DESCRIPTION
dcraw décode des photos numériques raw, affiche les métadonnées et extrait les vignettes

OPTIONS GENERALES

-v  affiche les messages complets, pas uniquement les erreurs et les avertissements.

-c  Ecrit les images décodées et les vignettes sur la sortie standard.

-e  Extrait la vignette générée par l'appareil photo (et pas l'image raw) Vous obtiendrez soit un fichier JPEG soit un fichier PPM en fonction de l'appareil photo.

-z  Change les dates d'accès et de modification d'un fichier AVI, JPEG, TIFF ou raw à la date de prise de la photo en supposant que l'horloge de l'appareil photo soit fixée sur le Temps Universel.

-i  Identifie les fichiers sans les décoder. Le code de sortie est 0 si dcraw peut décoder le dernier fichier, 1 sinon. -i -v montre les métadonnées.

    dcraw ne peut pas décoder les fichiers JPEG !!

OPTION DE REPARATION

-P pixelsmorts.txt
    Lit la liste des pixels morts depuis ce fichier au lieu de ".badpixels". Voir FICHIERS pour une description du format.

-K noir.pgm
    Soustrait un noir de la donnée raw. Pour créer un noir, prendre une photo dans le noir et exécuter dcraw -D -4 -j -t 0.

-k niveau_noir
    Quand les zones sombres apparaissent brumeuses vous devez augmenter le niveau de noir. Pour le mesurer appliquer pamsumm -mean au noir généré ci-dessus.

-S saturation
    Quand les zones claires apparaissent rosées vous devez baisser le niveau de saturation. Pour le mesurer prenez une image de quelque chose de brillant et faite dcraw -D -4 -j -c photo.raw | pamsumm -max

    Par défaut le niveau de noir et la saturation sont normalement corrects.

-n seuil_du_bruit
    Utilise des ondelettes pour supprimer le bruit tout en préservant les vrais détails. Le meilleur seuil devrait se trouver quelque part entre 100 et 1000.

-C mag_rouge mag_bleu
    Agrandit les couches bleue et rouge des facteurs passés en paramètre, typiquement de 0.999 à 1.001 pour corriger l'aberration chromatique.

-H 0
    Limite les zones claires à du blanc pur (par défaut).

-H 1
    Laisse les zones claires sans limite (différentes teintes rosées peuvent apparaitre).

-H 2
    Combine les valeurs de pixels limitées et illimitées de façon à obtenir un transition graduelle vers les blancs.

-H 3+
    Reconstruit les zones claires. Les petites valeurs favorisent les blancs, les valeurs importantes favorisent les couleurs. Essayez -H 5 comme un compromis. Si cela n'est pas assez bon utilisez -H 9, supprimez les zones claires non blanches et copiez les dans une image générée avec -H 3.

OPTIONS DES COULEURS
Par défaut, dcraw Utilise une balance des blancs fixe basée sur une carte couleur éclairée par une lampe D65 standard.

-w  Utilise la balance des blancs de la caméra. Si elle n'est pas trouvée, un avertissement est affiché et une autre méthode est utilisée.

-a  Calcule la balance des blancs en moyennant toute l'image.

-A gauche haut largeur hauteur
    Calcule la balance des blancs en moyennant une zone rectangulaire. Utilisez dcraw -j -t 0 et sélectionnez une zone de couleur gris neutre.

-r mul0 mul1 mul2 mul3
    Précisez votre propre balance des blancs. Ces coefficients multiplicateurs peuvent être copiés et collés depuis la sortie de dcraw -v.

+M ou -M
    Utilise (ou n'utilise pas) une matrice de couleurs contenue dans les métadonnées de l'appareil photo. La valeur par défaut est +M si -w est positionné, -M sinon. Cette option ne concerne que les appareils photo Olympus, Leaf, et Phase One.

-o [0-5]
    Sélectionne l'espace de couleur de sortie quand l'option -p n'est pas utilisée : 0 couleur raw (différente pour chaque appareil photo)
    1 sRGB D65 (par défaut)
    2 Adobe RGB (1998) D65
    3 Wide Gamut RGB D65
    4 Kodak ProPhoto RGB D65
    5 XYZ

-p appareilphoto.icm [ -o sortie.icm ]
    Utilise le profil ICC pour définir l'espace de couleur de l'appareil photo et l'espace de couleur souhaité en sortie (sRGB par défaut).

-p embed
    Utilise le profil ICC contenu dans la photo raw.

OPTIONS D'INTERPOLATION

-d  Montre les données raw comme une image monochrome sans interpolation. Bon pour photographier des documents en noir et blanc.

-D  Pareil que -d, mais complètement raw (aucune mise à l'échelle des couleurs).

-h  Génère une image couleur réduite de moitié. Deux fois plus rapide que -q 0.

-q 0
    Utilise une interpolation bilinéaire très rapide et de basse qualité.

-q 1
    Utilise une interpolation Nombre Variable de Gradient (VNG).

-q 2
    Utilise une interpolation Regroupement par Motif de Pixel (PPG).

-q 3
    Utilise une interpolation Homogénéité Dirigée et Adaptative (AHD).

-f  Interpole RVB comme quatre couleurs. A utiliser si la sortie montre des faux motifs 2x2 avec VNG ou des labyrinthes avec AHD.

-m nombre_de_passes
    Après l'interpolation, nettoie les artefacts de couleurs en appliquant un filtre médian 3x3 de façon répétée aux canaux R-V et B-V.

OPTION DE SORTIE
Par défaut, dcraw écrit des fichiers PGM/PPM/PAM 8 bits, une courbe gamma BT.709, un niveau de blanc basé sur l'histogramme, et aucune méta donnée.

-W  Utilise un niveau de blanc fixé ignorant l'histogramme de l'image

-b luminosité
    Divise le niveau de blanc par cette valeur, 1.0 par défaut.

-g puissance pente_a_l_origine
    Fixe la courbe gamma, par défaut BT.709 (-g 2.222 4.5). Si vous préférez le gamma du sRGB, utilisez -g 2.4 12.92. Pour une simple courbe de puissance, fixez la pente à l'origine à zéro.

-6  Ecrit seize bits par pixel/canal au lieu de huit.

-4  16 bits linéaires, équivalent à -6 -W -g 1 1.

-T  Ecrit des fichiers TIFF avec les métadonnées au lieu de fichiers PGM/PPM/PAM.

-t [0-7,90,180,270]
    Change l'orientation de l'image de sortie. Par défaut, dcraw applique l'orientation spécifiée par l'appareil photo. -t 0 désactive le changement d'orientation.

-j  Pour les appareils photos Fuji Super CCD, montre l'image tournée à 45 degrés. Pour les appareils photos avec des pixels non carrés, n'étire pas l'image à son rapport hauteur/largeur réel. Dans tous les cas cette option garantie que chaque pixel en sortie correspond à un pixel raw.

-s [0..N-1] ou -s all
    Si un fichier contient N images raw, choisissez en une ou "all" (toutes) pour les décoder. Par exemple, les appareils photos Fuji Super CCD SR génèrent une seconde image sous exposée de 4 stops pour montrer les détails dans les zones claires.

FICHIERS

./.badpixels, ../.badpixels, ../../.badpixels, ...
    Liste des pixels morts de votre appareil photo afin que dcraw puisse interpoler autour d'eux. Chaque ligne spécifie une colonne, une ligne, et la date UNIX de la mort pour un pixel. Par exemple :

     962   91 1028350000  # mort entre le 1er et le 4 Aout 2002
    1285 1067 0           # mort à une date inconnue

    Ces coordonnées sont celles avant toute rotation ou réduction, donc utilisez dcraw -j -t 0 pour identifier les pixels morts.

VOIR AUSSI
pgm(5), ppm(5), pam(5), pamsumm(1), pnmgamma(1), pnmtotiff(1), pnmtopng(1), gphoto2(1), cjpeg(1), djpeg(1)

AUTEUR
Ecrit par David Coffin, dcoffin a cybercom o net

TRADUCTION
Luc Coiffier, luc o coiffier a free o fr